## com.gargoylesoftware.htmlunit.html
Class DomAttr

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomNamespaceNode
              com.gargoylesoftware.htmlunit.html.DomAttr

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Attr, org.w3c.dom.Node

    public class DomAttr

extends DomNamespaceNode
implements org.w3c.dom.Attr

An attribute of an element. Attributes are stored in `HtmlElement`, but the XPath engine expects attributes to be in a `DomNode`.

Version:
  $Revision: 4424 $
Author:
  Denis N. Antonioli, David K. Taylor, Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DomAttr(SgmlPage page, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` Instantiate a new attribute.

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getNodeName()` Returns this node's node name.
`short` `getNodeType()` Returns this node's node type.
`java.lang.String` `getNodeValue()`
`org.w3c.dom.Element` `getOwnerElement()`
`org.w3c.dom.TypeInfo` `getSchemaTypeInfo()` Not yet implemented.
`boolean` `getSpecified()` Not yet implemented.
`java.lang.String` `getValue()`
`boolean` `isId()`
`void` `setValue(java.lang.String value)` Sets this attribute's value.
`java.lang.String` `toString()`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNamespaceNode
`getLocalName, getNamespaceURI, getPrefix, getQualifiedName, setPrefix`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, checkChildHierarchy, cloneNode, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getAttributes, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getPage, getParentNode, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, printXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### DomAttr

    public DomAttr(SgmlPage page,
                   java.lang.String namespaceURI,
                   java.lang.String qualifiedName,
                   java.lang.String value)

  Instantiate a new attribute.

  Parameters:
    `page` - the page that the attribute belongs to
    `namespaceURI` - the namespace that defines the attribute name (may be `null`)
    `qualifiedName` - the name of the attribute
    `value` - the value of the attribute

Method Detail

### getNodeType

    public short getNodeType()

  Returns this node's node type.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeType` in class `DomNode`
  Returns:
    this node's node type

### getNodeName

    public java.lang.String getNodeName()

  Returns this node's node name.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeName` in class `DomNode`
  Returns:
    this node's node name

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `DomNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`
  Returns:
    the qualified name of this attribute

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`
  Returns:
    the value of this attribute

### setValue

    public void setValue(java.lang.String value)

  Sets this attribute's value.

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Parameters:
    `value` - the attribute's new value

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Not yet implemented.

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  Not yet implemented.

  Specified by:
    `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `org.w3c.dom.Attr`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.